Builder System Requirements

From Pengower
Jump to: navigation, search

Pengower is accessible using common browsers like Google Chrome, Mozilla Firefox, Safari, and Internet Explorer.

Browser Compatibility Guide

Google Chrome Mozilla Firefox Safari Internet Explorer
Windows 10 Chrome 37 or higher Firefox 32 or higher N/A Internet Explorer 11 or higher
Windows 8.1 Chrome 22 or higher Firefox 26 or higher N/A Internet Explorer 11 or higher
Windows 7 Chrome 22 or higher Firefox 26 or higher N/A Internet Explorer 11 or higher
OS X El Capitan Chrome 22 or higher Firefox 26 or higher Safari 9 or higher N/A
OS X Yosemite Chrome 22 or higher Firefox 26 or higher Safari 8 or higher N/A
OS X Mavericks Chrome 22 or higher Firefox 26 or higher Safari 7.1 or higher N/A
OS X Mountain Lion Chrome 22 or higher Firefox 26 or higher Safari 6.2 or higher N/A
OS X Lion Chrome 22 or higher Firefox 26 or higher Safari 6 or higher N/A
OS X Snow Leopard Chrome 22 or higher Firefox 26 or higher Not Supported N/A